@echo off
cls
title Creo Purge 

rem - CREOPURGE.BAT
rem ================================================================
rem - Place this batch file in the c:\Utilities directory (create it if needed)
rem - 
rem - This batch program will run the Creo Parametric purge.bat file in
rem - the directory passed to it.
rem - 
rem - A valid starting path should be passed to this program.
rem - Edit the value of PURGECMD in this script to suit your environment
rem ================================================================
rem - Olaf Corten
rem - creopurge@proesite.com
rem ================================================================
rem - Rev.   Date	   Changes
rem - ----   -------   ---------------------------------------------
rem -  A.1   20130114  Fixed bug: Added /D to cd command.
rem -  A     20130113
rem ================================================================

REM Customize the location of purge.bat to your environment
REM set PURGECMD=c:\Program Files\PTC\Creo 2.0\Parametric\bin\purge.bat
set PURGECMD=c:\Program Files\PTC\Creo 2.0\Parametric\bin\purge.bat

if !%1==! goto nopath

if NOT EXIST "%PURGECMD%" goto nopurge


:start
  title Creo Purge in %*
  echo Purging, %*
  cd /D "%*"

  if %ERRORLEVEL%==1 goto badpath
  if not exist %1*.* goto badpath


:nopath
  call "%PURGECMD%"
  goto complete

:nopurge
  echo.
  echo ERROR - Cannot find %PURGECMD% ....
  echo.
  echo You must edit %0 to point to the correct location of purge.bat
  goto complete

:badpath
  echo.
  echo ERROR - "%1" is not a valid path....
  echo.
  echo You must provide a valid path when calling %0
  goto complete

:complete
  echo Purge complete ...
  if NOT +%1==+. pause
  REM exit